---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app: rest-villains
    application: villains-service
    system: quarkus-super-heroes
  name: rest-villains-config
data:
  quarkus.hibernate-orm.database.generation: validate
  quarkus.hibernate-orm.sql-load-script: no-file
  quarkus.datasource.jdbc.url: jdbc:otel:postgresql://villains-db:5432/villains_database
  quarkus.opentelemetry.tracer.exporter.otlp.endpoint: http://otel-collector:4317
---
apiVersion: v1
kind: Secret
metadata:
  labels:
    app: rest-villains
    application: villains-service
    system: quarkus-super-heroes
  name: rest-villains-config-creds
data:
  quarkus.datasource.username: c3VwZXJiYWQ=
  quarkus.datasource.password: c3VwZXJiYWQ=
type: Opaque
---
apiVersion: v1
kind: Secret
metadata:
  labels:
    app: villains-db
    application: villains-service
    system: quarkus-super-heroes
  name: villains-db-config
data:
  POSTGRESQL_DATABASE: dmlsbGFpbnNfZGF0YWJhc2U=
  POSTGRESQL_USERNAME: c3VwZXJiYWQ=
  POSTGRESQL_PASSWORD: c3VwZXJiYWQ=
type: Opaque
---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app: villains-db
    application: villains-service
    system: quarkus-super-heroes
  name: villains-db-init
data:
  get-data.sh: |-
    #!/bin/bash

    curl https://raw.githubusercontent.com/quarkusio/quarkus-super-heroes/main/rest-villains/deploy/db-init/initialize-tables.sql --output /docker-entrypoint-initdb.d/1-init-tables.sql
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: villains-db
    application: villains-service
    system: quarkus-super-heroes
    app.kubernetes.io/part-of: villains-service
    app.openshift.io/runtime: postgresql
  name: villains-db
spec:
  replicas: 1
  selector:
    matchLabels:
      name: villains-db
  template:
    metadata:
      labels:
        application: villains-service
        name: villains-db
    spec:
      containers:
        - envFrom:
            - secretRef:
                name: villains-db-config
          image: bitnami/postgresql:14
          name: villains-db
          ports:
            - containerPort: 5432
          resources:
            limits:
              memory: 128Mi
            requests:
              memory: 32Mi
          volumeMounts:
            - mountPath: /bitnami/postgresql
              name: villains-db-data
            - mountPath: /docker-entrypoint-initdb.d
              name: villains-db-init-data
      initContainers:
        - command:
            - sh
            - get-data.sh
          image: registry.access.redhat.com/ubi8-minimal:8.6
          name: get-data
          volumeMounts:
            - mountPath: /docker-entrypoint-preinitdb.d
              name: villains-db-init
            - mountPath: /docker-entrypoint-initdb.d
              name: villains-db-init-data
          workingDir: /docker-entrypoint-preinitdb.d
      volumes:
        - emptyDir: {}
          name: villains-db-data
        - emptyDir: {}
          name: villains-db-init-data
        - configMap:
            name: villains-db-init
          name: villains-db-init
---
apiVersion: v1
kind: Service
metadata:
  labels:
    name: villains-db
    application: villains-service
    system: quarkus-super-heroes
  name: villains-db
spec:
  ports:
    - port: 5432
      protocol: TCP
      targetPort: 5432
  selector:
    name: villains-db
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/vcs-ref: main
    app.quarkus.io/vcs-url: https://github.com/quarkusio/quarkus-super-heroes
    app.openshift.io/connects-to: "villains-db,otel-collector"
    app.quarkus.io/build-timestamp: 2022-11-14 - 19:55:32 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8084"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/name: rest-villains
    app.kubernetes.io/part-of: villains-service
    app.kubernetes.io/version: native-latest
    app: rest-villains
    application: villains-service
    system: quarkus-super-heroes
  name: rest-villains
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: rest-villains
      app.kubernetes.io/part-of: villains-service
      app.kubernetes.io/version: native-latest
  template:
    metadata:
      annotations:
        app.quarkus.io/vcs-ref: main
        app.quarkus.io/vcs-url: https://github.com/quarkusio/quarkus-super-heroes
        app.openshift.io/connects-to: "villains-db,otel-collector"
        app.quarkus.io/build-timestamp: 2022-11-14 - 19:55:32 +0000
        prometheus.io/scrape: "true"
        prometheus.io/path: /q/metrics
        prometheus.io/port: "8084"
        prometheus.io/scheme: http
      labels:
        app.kubernetes.io/name: rest-villains
        app.kubernetes.io/part-of: villains-service
        app.kubernetes.io/version: native-latest
        app: rest-villains
        application: villains-service
        system: quarkus-super-heroes
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
          envFrom:
            - secretRef:
                name: rest-villains-config-creds
            - configMapRef:
                name: rest-villains-config
          image: quay.io/quarkus-super-heroes/rest-villains:native-latest
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8084
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          name: rest-villains
          ports:
            - containerPort: 8084
              name: http
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8084
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          resources:
            limits:
              memory: 128Mi
            requests:
              memory: 32Mi
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/vcs-ref: main
    app.quarkus.io/vcs-url: https://github.com/quarkusio/quarkus-super-heroes
    app.openshift.io/connects-to: "villains-db,otel-collector"
    app.quarkus.io/build-timestamp: 2022-11-14 - 19:55:32 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8084"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/name: rest-villains
    app.kubernetes.io/part-of: villains-service
    app.kubernetes.io/version: native-latest
    app: rest-villains
    application: villains-service
    system: quarkus-super-heroes
  name: rest-villains
spec:
  ports:
    - name: http
      nodePort: 30526
      port: 80
      protocol: TCP
      targetPort: 8084
  selector:
    app.kubernetes.io/name: rest-villains
    app.kubernetes.io/part-of: villains-service
    app.kubernetes.io/version: native-latest
  type: NodePort
---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app: rest-heroes
    application: heroes-service
    system: quarkus-super-heroes
  name: rest-heroes-config
data:
  quarkus.hibernate-orm.database.generation: validate
  quarkus.hibernate-orm.sql-load-script: no-file
  quarkus.datasource.reactive.url: postgresql://heroes-db:5432/heroes_database
  quarkus.opentelemetry.tracer.exporter.otlp.endpoint: http://otel-collector:4317
---
apiVersion: v1
kind: Secret
metadata:
  labels:
    app: rest-heroes
    application: heroes-service
    system: quarkus-super-heroes
  name: rest-heroes-config-creds
data:
  quarkus.datasource.username: c3VwZXJtYW4=
  quarkus.datasource.password: c3VwZXJtYW4=
type: Opaque
---
apiVersion: v1
kind: Secret
metadata:
  labels:
    app: heroes-db
    application: heroes-service
    system: quarkus-super-heroes
  name: heroes-db-config
data:
  POSTGRESQL_DATABASE: aGVyb2VzX2RhdGFiYXNl
  POSTGRESQL_USERNAME: c3VwZXJtYW4=
  POSTGRESQL_PASSWORD: c3VwZXJtYW4=
type: Opaque
---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app: heroes-db
    application: heroes-service
    system: quarkus-super-heroes
  name: heroes-db-init
data:
  get-data.sh: |-
    #!/bin/bash

    curl https://raw.githubusercontent.com/quarkusio/quarkus-super-heroes/main/rest-heroes/deploy/db-init/initialize-tables.sql --output /docker-entrypoint-initdb.d/1-init-tables.sql
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: heroes-db
    application: heroes-service
    system: quarkus-super-heroes
    app.kubernetes.io/part-of: heroes-service
    app.openshift.io/runtime: postgresql
  name: heroes-db
spec:
  replicas: 1
  selector:
    matchLabels:
      name: heroes-db
  template:
    metadata:
      labels:
        name: heroes-db
        application: heroes-service
        system: quarkus-super-heroes
    spec:
      containers:
        - envFrom:
            - secretRef:
                name: heroes-db-config
          image: bitnami/postgresql:14
          name: heroes-db
          ports:
            - containerPort: 5432
          resources:
            limits:
              memory: 128Mi
            requests:
              memory: 32Mi
          volumeMounts:
            - mountPath: /bitnami/postgresql
              name: heroes-db-data
            - mountPath: /docker-entrypoint-initdb.d
              name: heroes-db-init-data
      initContainers:
        - command:
            - sh
            - get-data.sh
          image: registry.access.redhat.com/ubi8-minimal:8.6
          name: get-data
          volumeMounts:
            - mountPath: /docker-entrypoint-preinitdb.d
              name: heroes-db-init
            - mountPath: /docker-entrypoint-initdb.d
              name: heroes-db-init-data
          workingDir: /docker-entrypoint-preinitdb.d
      volumes:
        - emptyDir: {}
          name: heroes-db-data
        - emptyDir: {}
          name: heroes-db-init-data
        - configMap:
            name: heroes-db-init
          name: heroes-db-init
---
apiVersion: v1
kind: Service
metadata:
  labels:
    name: heroes-db
    application: heroes-service
    system: quarkus-super-heroes
  name: heroes-db
spec:
  ports:
    - port: 5432
      protocol: TCP
      targetPort: 5432
  selector:
    name: heroes-db
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/vcs-ref: main
    app.quarkus.io/vcs-url: https://github.com/quarkusio/quarkus-super-heroes
    app.openshift.io/connects-to: "heroes-db,otel-collector"
    app.quarkus.io/build-timestamp: 2022-11-14 - 19:55:51 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8083"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/name: rest-heroes
    app.kubernetes.io/part-of: heroes-service
    app.kubernetes.io/version: native-latest
    app: rest-heroes
    application: heroes-service
    system: quarkus-super-heroes
  name: rest-heroes
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: rest-heroes
      app.kubernetes.io/part-of: heroes-service
      app.kubernetes.io/version: native-latest
  template:
    metadata:
      annotations:
        app.quarkus.io/vcs-ref: main
        app.quarkus.io/vcs-url: https://github.com/quarkusio/quarkus-super-heroes
        app.openshift.io/connects-to: "heroes-db,otel-collector"
        app.quarkus.io/build-timestamp: 2022-11-14 - 19:55:51 +0000
        prometheus.io/scrape: "true"
        prometheus.io/path: /q/metrics
        prometheus.io/port: "8083"
        prometheus.io/scheme: http
      labels:
        app.kubernetes.io/name: rest-heroes
        app.kubernetes.io/part-of: heroes-service
        app.kubernetes.io/version: native-latest
        app: rest-heroes
        application: heroes-service
        system: quarkus-super-heroes
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
          envFrom:
            - secretRef:
                name: rest-heroes-config-creds
            - configMapRef:
                name: rest-heroes-config
          image: quay.io/quarkus-super-heroes/rest-heroes:native-latest
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8083
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          name: rest-heroes
          ports:
            - containerPort: 8083
              name: http
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8083
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          resources:
            limits:
              memory: 128Mi
            requests:
              memory: 32Mi
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/vcs-ref: main
    app.quarkus.io/vcs-url: https://github.com/quarkusio/quarkus-super-heroes
    app.openshift.io/connects-to: "heroes-db,otel-collector"
    app.quarkus.io/build-timestamp: 2022-11-14 - 19:55:51 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8083"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/name: rest-heroes
    app.kubernetes.io/part-of: heroes-service
    app.kubernetes.io/version: native-latest
    app: rest-heroes
    application: heroes-service
    system: quarkus-super-heroes
  name: rest-heroes
spec:
  ports:
    - name: http
      nodePort: 30471
      port: 80
      protocol: TCP
      targetPort: 8083
  selector:
    app.kubernetes.io/name: rest-heroes
    app.kubernetes.io/part-of: heroes-service
    app.kubernetes.io/version: native-latest
  type: NodePort
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: default_view
roleRef:
  kind: ClusterRole
  apiGroup: rbac.authorization.k8s.io
  name: view
subjects:
  - kind: ServiceAccount
    name: default
---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app: rest-fights
    application: fights-service
    system: quarkus-super-heroes
  name: rest-fights-config
data:
  quarkus.liquibase-mongodb.migrate-at-start: "false"
  quarkus.mongodb.hosts: fights-db:27017
  quarkus.stork.hero-service.service-discovery.type: kubernetes
  quarkus.stork.hero-service.service-discovery.application: rest-heroes
  quarkus.stork.hero-service.service-discovery.refresh-period: 1M
  quarkus.stork.villain-service.service-discovery.type: kubernetes
  quarkus.stork.villain-service.service-discovery.application: rest-villains
  quarkus.stork.villain-service.service-discovery.refresh-period: 1M
  quarkus.opentelemetry.tracer.exporter.otlp.endpoint: http://otel-collector:4317
  kafka.bootstrap.servers: PLAINTEXT://fights-kafka:9092
  mp.messaging.connector.smallrye-kafka.apicurio.registry.url: http://apicurio:8080/apis/registry/v2
---
apiVersion: v1
kind: Secret
metadata:
  labels:
    app: rest-fights
    application: fights-service
    system: quarkus-super-heroes
  name: rest-fights-config-creds
data:
  quarkus.mongodb.credentials.username: c3VwZXJmaWdodA==
  quarkus.mongodb.credentials.password: c3VwZXJmaWdodA==
type: Opaque
---
apiVersion: v1
kind: Secret
metadata:
  labels:
    app: fights-db
    application: fights-service
    system: quarkus-super-heroes
  name: fights-db-config
data:
  MONGODB_DATABASE: ZmlnaHRz
  MONGODB_USERNAME: c3VwZXJmaWdodA==
  MONGODB_PASSWORD: c3VwZXJmaWdodA==
  MONGODB_ROOT_USER: c3VwZXI=
  MONGODB_ROOT_PASSWORD: c3VwZXI=
type: Opaque
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: fights-db
    application: fights-service
    system: quarkus-super-heroes
    app.kubernetes.io/part-of: fights-service
    app.openshift.io/runtime: mongodb
  name: fights-db
spec:
  replicas: 1
  selector:
    matchLabels:
      name: fights-db
  template:
    metadata:
      labels:
        application: fights-service
        name: fights-db
        system: quarkus-super-heroes
    spec:
      containers:
        - envFrom:
            - secretRef:
                name: fights-db-config
          image: bitnami/mongodb:5.0
          name: fights-db
          ports:
            - containerPort: 27017
          resources:
            limits:
              memory: 256Mi
            requests:
              memory: 64Mi
---
apiVersion: v1
kind: Service
metadata:
  labels:
    name: fights-db
    application: fights-service
    system: quarkus-super-heroes
  name: fights-db
spec:
  ports:
    - port: 27017
      protocol: TCP
      targetPort: 27017
  selector:
    name: fights-db
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: fights-kafka
    application: fights-service
    system: quarkus-super-heroes
    app.kubernetes.io/part-of: fights-service
    app.openshift.io/runtime: amq
  name: fights-kafka
spec:
  replicas: 1
  selector:
    matchLabels:
      name: fights-kafka
  template:
    metadata:
      labels:
        application: fights-service
        name: fights-kafka
        system: quarkus-super-heroes
    spec:
      containers:
        - command:
            - sh
            - -c
            - "export CLUSTER_ID=$(bin/kafka-storage.sh random-uuid) && bin/kafka-storage.sh\
              \ format -t ${CLUSTER_ID} -c config/kraft/server.properties && bin/kafka-server-start.sh\
              \ config/kraft/server.properties --override advertised.listeners=${KAFKA_ADVERTISED_LISTENERS}"
          env:
            - name: LOG_DIR
              value: /tmp/logs
            - name: KAFKA_ADVERTISED_LISTENERS
              value: PLAINTEXT://fights-kafka:9092
          image: quay.io/strimzi/kafka:0.28.0-kafka-3.1.0
          name: fights-kafka
          ports:
            - containerPort: 9092
          resources:
            limits:
              memory: 768Mi
            requests:
              memory: 128Mi
---
apiVersion: v1
kind: Service
metadata:
  labels:
    name: fights-kafka
    application: fights-service
    system: quarkus-super-heroes
  name: fights-kafka
spec:
  ports:
    - port: 9092
      protocol: TCP
      targetPort: 9092
  selector:
    name: fights-kafka
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    prometheus.io/scrape: "true"
    prometheus.io/path: /metrics
    prometheus.io/port: "8080"
    prometheus.io/scheme: http
  labels:
    app: apicurio
    application: fights-service
    system: quarkus-super-heroes
    app.kubernetes.io/part-of: fights-service
    app.kubernetes.io/name: apicurio
    app.kubernetes.io/version: 2.2.3.Final
    app.openshift.io/runtime: apicurio
  name: apicurio
spec:
  replicas: 1
  selector:
    matchLabels:
      name: apicurio
  template:
    metadata:
      annotations:
        prometheus.io/scrape: "true"
        prometheus.io/path: /metrics
        prometheus.io/port: "8080"
        prometheus.io/scheme: http
      labels:
        application: fights-service
        name: apicurio
        system: quarkus-super-heroes
    spec:
      containers:
        - env:
            - name: REGISTRY_AUTH_ANONYMOUS_READ_ACCESS_ENABLED
              value: "true"
          image: quay.io/apicurio/apicurio-registry-mem:2.2.3.Final
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /health/live
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          name: apicurio
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /health/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          resources:
            limits:
              memory: 768Mi
            requests:
              memory: 128Mi
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    prometheus.io/scrape: "true"
    prometheus.io/path: /metrics
    prometheus.io/port: "8080"
    prometheus.io/scheme: http
  labels:
    name: apicurio
    application: fights-service
    system: quarkus-super-heroes
  name: apicurio
spec:
  ports:
    - port: 8080
      protocol: TCP
      targetPort: 8080
  selector:
    name: apicurio
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/vcs-ref: main
    app.quarkus.io/vcs-url: https://github.com/quarkusio/quarkus-super-heroes
    app.openshift.io/connects-to: "fights-db,fights-kafka,apicurio,rest-villains,rest-heroes,otel-collector"
    app.quarkus.io/build-timestamp: 2022-11-14 - 19:56:15 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8082"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/name: rest-fights
    app.kubernetes.io/part-of: fights-service
    app.kubernetes.io/version: native-latest
    app: rest-fights
    application: fights-service
    system: quarkus-super-heroes
  name: rest-fights
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: rest-fights
      app.kubernetes.io/part-of: fights-service
      app.kubernetes.io/version: native-latest
  template:
    metadata:
      annotations:
        app.quarkus.io/vcs-ref: main
        app.quarkus.io/vcs-url: https://github.com/quarkusio/quarkus-super-heroes
        app.openshift.io/connects-to: "fights-db,fights-kafka,apicurio,rest-villains,rest-heroes,otel-collector"
        app.quarkus.io/build-timestamp: 2022-11-14 - 19:56:15 +0000
        prometheus.io/scrape: "true"
        prometheus.io/path: /q/metrics
        prometheus.io/port: "8082"
        prometheus.io/scheme: http
      labels:
        app.kubernetes.io/name: rest-fights
        app.kubernetes.io/part-of: fights-service
        app.kubernetes.io/version: native-latest
        app: rest-fights
        application: fights-service
        system: quarkus-super-heroes
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
          envFrom:
            - configMapRef:
                name: rest-fights-config
            - secretRef:
                name: rest-fights-config-creds
          image: quay.io/quarkus-super-heroes/rest-fights:native-latest
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8082
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          name: rest-fights
          ports:
            - containerPort: 8082
              name: http
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8082
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          resources:
            limits:
              memory: 128Mi
            requests:
              memory: 32Mi
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/vcs-ref: main
    app.quarkus.io/vcs-url: https://github.com/quarkusio/quarkus-super-heroes
    app.openshift.io/connects-to: "fights-db,fights-kafka,apicurio,rest-villains,rest-heroes,otel-collector"
    app.quarkus.io/build-timestamp: 2022-11-14 - 19:56:15 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8082"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/name: rest-fights
    app.kubernetes.io/part-of: fights-service
    app.kubernetes.io/version: native-latest
    app: rest-fights
    application: fights-service
    system: quarkus-super-heroes
  name: rest-fights
spec:
  ports:
    - name: http
      nodePort: 30489
      port: 80
      protocol: TCP
      targetPort: 8082
  selector:
    app.kubernetes.io/name: rest-fights
    app.kubernetes.io/part-of: fights-service
    app.kubernetes.io/version: native-latest
  type: NodePort
